Preset categories

Update a preset category

PATCH
/preset/categories/{category_id}
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Path Parameters

category_idstring
name?Name

New category display name.

Defaultnull
description?Description

New category description.

Defaultnull
thumbnail_url?Thumbnail Url

New category thumbnail URL.

Defaultnull

Response Body

Examples

curl -X PATCH "https://v2.api.piktid.com/preset/categories/string" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "thumbnail_url": "string",
  "visibility": "shared",
  "created_by": "string",
  "created_at": "string"
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty
Empty
Empty
Empty